Page MenuHomePhabricator

[Technical] Improve documentation for what happens when a page is marked for Translation
Closed, ResolvedPublic

Description

Potential documentation:

  • A flow diagram of what happens when a page is marked for translation.
  • A flow diagram of what happens when a section is translated.
  • Description of what jobs are involved in this process and their purpose.

This will help us to identify potential issues that we're currently encountering with replication lag.

Event Timeline

abi_ created this task.Aug 3 2020, 1:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2020, 1:27 PM

+ Documentation

https://www.mediawiki.org/wiki/Help:Extension:Translate already links to many documents, so maybe this partially exists already?

Description of what each job that we have, does.

@abi_: Who is "we"?

abi_ updated the task description. (Show Details)Aug 3 2020, 1:44 PM

+ Documentation

https://www.mediawiki.org/wiki/Help:Extension:Translate already links to many documents, so maybe this partially exists already?

I checked with Niklas, we currently don't have this documentation.

Description of what each job that we have, does.

@abi_: Who is "we"?

Updated the description to clarify this.

abi_ triaged this task as Medium priority.Sep 7 2020, 3:27 AM
abi_ added a subscriber: Nikerabbit.Sep 8 2020, 4:25 AM

Remarks from @Nikerabbit

With regards to usefulness, it is very detailed, so it is bound to get out of date. I see multiple options here:

(1) treat it as a one-time exercise we did in order to solve a task (i.e. solve replication lag related issues).

(2) Integrate it to our main documentation. For that it would at minimum need a clear marking for which version(/date) it is applicable and establishing of a regular doc review process to keep it up to date. In addition it could be made a little more high level (as possible) to make it less likely to get out of date with implementation details.

abi_ closed this task as Resolved.Oct 1 2020, 12:28 PM

Marking this as resolved as Niklas reviewed the document.